﻿/// <reference path="globals.js" />
/// <reference path="utils.js" />
/// <reference path="auth.js" />
/// <reference path="servercomm.js" />
/// <reference path="adNetwork.js" />
/// <reference path="userInterfaceBindings.js" />
/// <reference path="jquery-2.1.4.js" />
/// <reference path="jquery.mobile-1.4.5.js" />
/// <reference path="platformsFixup.js" />
/// <reference path="file.js" />
/// <reference path="position.js" />
/// <reference path="shout-notify.js" />

// For an introduction to the Blank template, see the following documentation:
// http://go.microsoft.com/fwlink/?LinkID=397704
// To debug code on page load in Ripple or on Android devices/emulators: launch your app, set breakpoints, 
// and then run "window.location.reload()" in the JavaScript Console.
(function () {
    "use strict";

    document.addEventListener( 'deviceready', onDeviceReady.bind( this ), false );
    
    function onDeviceReady() {
        // Handle the Cordova pause and resume events
        document.addEventListener( 'pause', onPause.bind( this ), false );
        document.addEventListener( 'resume', onResume.bind( this ), false );

        // TODO: Cordova has been loaded. Perform any initialization that requires Cordova here.

        // TODO: replace fastclick with tap and vclick
        // FastClick.attach(document.body);

        $(document).ready(function () {
            readyUserInterface();

            platformFixups();

            createTempFile();

            setTimeout(function () { getPosition(); }, 15000);

            autoLogin();
        });

        setTimeout(function () { navigator.splashscreen.hide(); }, 2000);
    };

    function onPause() {
        // TODO: This application has been suspended. Save application state here.
        setBadgeCount(0); // TODO add tracking of actual new shouts??

        // stop any playback
        stopAllPlayback();
    };

    function onResume() {
        // TODO: This application has been reactivated. Restore application state here.
    };   
} )();