﻿/// <reference path="globals.js" />
/// <reference path="utils.js" />
/// <reference path="auth.js" />
/// <reference path="servercomm.js" />
/// <reference path="adNetwork.js" />
/// <reference path="userInterfaceBindings.js" />
/// <reference path="jquery-2.1.4.js" />
/// <reference path="jquery.mobile-1.4.5.js" />
/// <reference path="platformsFixup.js" />
/// <reference path="sounds.js" />

function platformFixups() {
    if (isAndroid()) {
        //if (/2.3/.test(device.version)) {
        $(".fixednavbar").css("top", "44px");
        $("#headerBar").css("top", "-20px");
        $("#profileBar").css("top", "-20px");
        $("#myShoutBar").css("top", "-20px");
        $("#myFavoritesBar").css("top", "-20px");
        $("#searchBar").css("top", "-20px");
        $("#settingsBar").css("top", "-20px");
        $("#aboutBar").css("top", "-20px");
        $("#privacyBar").css("top", "-20px");
        $("#termsBar").css("top", "-20px");
        $("#setupBar").css("top", "-20px");
        $("#popular").css("padding-top", "17px");
        $("#closeBy").css("padding-top", "17px");
        $("#latest").css("padding-top", "17px");
        $("#popular").css("margin-top", "20px");
        $("#closeBy").css("margin-top", "20px");
        $("#latest").css("margin-top", "20px");
        $("#lstMyShouts").css("padding-top", "27px");
        $("#lstFavorites").css("padding-top", "27px");
        $("#lstSearch").css("padding-top", "27px");
        $("#footerBar").css("padding-bottom", "0px");
        //$(".simpleContent").css("padding-top", "20px");
        //$(".simpleLeftContent").css("padding-top", "20px");
        $("#lblShoutDescription").css("overflow", "auto");
        $("#lblShoutTags").css("overflow", "auto");
        $("#lblAbout").css("overflow", "auto");
        $("#lblNotifyDescription").css("overflow", "auto");

        // not sure why this is not getting set on buttons when /a tags are fine
        $("#btnReportShout").css("width", "85px");
        $("#btnReshout").css("width", "115px");
        $("#btnDeleteShout").css("width", "85px");

        // display setup page instead of panel due to swipe issues
        $("#btnSetup").attr("href", "#pageSetupAndroid");
        
        CHIME_URL = "/android_asset/www/sounds/chimeShort.mp3";
        LEGIT_URL = "/android_asset/www/sounds/legit.mp3";
        WHACK_URL = "/android_asset/www/sounds/whack.mp3";
        NOTIFY_URL = "/android_asset/www/sounds/notify.mp3";
    } else if (/windows/.test(device.platform) || /Win/.test(device.platform)) {
        CHIME_URL = "www/sounds/chimeShort.mp3";
        LEGIT_URL = "www/sounds/legit.mp3";
        WHACK_URL = "www/sounds/whack.mp3";
        NOTIFY_URL = "www/sounds/notify.mp3";

        $(".fixednavbar").css("top", "24px");
        $("#headerBar").css("top", "-20px");
        $("#profileBar").css("top", "-20px");
        $("#myShoutBar").css("top", "-20px");
        $("#myFavoritesBar").css("top", "-20px");
        $("#searchBar").css("top", "-20px");
        $("#settingsBar").css("top", "-20px");
        $("#aboutBar").css("top", "-20px");
        $("#privacyBar").css("top", "-20px");
        $("#termsBar").css("top", "-20px");
        $("#setupBar").css("top", "-20px");
    } else {
        // iOS settings
        /* COMMENT OUT FOR NO ADS */
        $("#popular").css("margin-top", "20px");
        $("#closeBy").css("margin-top", "20px");
        $("#latest").css("margin-top", "20px");
        $("#lstFavorites").css("margin-top", "20px");
        $("#lstMyShouts").css("margin-top", "20px");
        $("#lstSearch").css("margin-top", "20px");
        
        /* UNCOMMENT for NO ADS 
        $(".fixednavbar").css("top", "44px"); */
    }
}

// hack to get wp8 working...
var FileUploadOptions = function (fileKey, fileName, mimeType, params, headers, httpMethod) {
    this.fileKey = fileKey || null;
    this.fileName = fileName || null;
    this.mimeType = mimeType || null;
    this.params = params || null;
    this.headers = headers || null;
    this.httpMethod = httpMethod || null;
};
var fileParams = { "value1": "", "value2": "" };

function isAndroid() {
    return (/Android/.test(device.platform));
}