﻿/// <reference path="globals.js" />
/// <reference path="utils.js" />
/// <reference path="auth.js" />
/// <reference path="servercomm.js" />
/// <reference path="userInterfaceBindings.js" />
/// <reference path="jquery-2.1.4.js" />
/// <reference path="jquery.mobile-1.4.5.js" />

var CHIME_URL = "sounds/chimeShort.mp3";
var chimePlayer;
var LEGIT_URL = "sounds/legit.mp3";
var legitPlayer;
var WHACK_URL = "sounds/whack.mp3";
var whackPlayer;
var NOTIFY_URL = "sounds/notify.mp3";
var notifyPlayer;

function playNotify(callback) {
    notifyPlayer = new Media(NOTIFY_URL, function() { notifyPlayer.release(); callback(); },
        function (err) { if (err.code != 0) trunicaAlert("Error Playing Notify: " + err.code); else trunicaAlert("why here???"); });

    notifyPlayer.play();
}

function playChime(callback) {
    chimePlayer = new Media(CHIME_URL, function() { chimePlayer.release(); callback(); },
        function (err) { if (err.code != 0) trunicaAlert("Error Playing Chime: " + err.code); else trunicaAlert("why here???"); });

    chimePlayer.play();
}

function playLegit(callback) {
    legitPlayer = new Media(LEGIT_URL, function () { legitPlayer.release(); callback(); },
        function (err) { if (err.code != 0) trunicaAlert("Error Playing Legit: " + err.code); else trunicaAlert("why here???"); });

    legitPlayer.play();
}

function playWhack(callback) {
    whackPlayer = new Media(WHACK_URL, function () { whackPlayer.release(); callback(); },
        function (err) { if (err.code != 0) trunicaAlert("Error Playing Whack: " + err.code); else trunicaAlert("why here???"); });

    whackPlayer.play();
}
