﻿/// <reference path="globals.js" />
/// <reference path="utils.js" />
/// <reference path="auth.js" />
/// <reference path="servercomm.js" />
/// <reference path="jquery-2.1.4.js" />
/// <reference path="jquery.mobile-1.4.5.js" />

var userSettings = null;

function getUserSettings(onComplete) {
    serverRequest("GET", "/getuserinfo", null, "Error retrieving user settings.", function (xmlhttp) {
        userSettings = JSON.parse(xmlhttp.responseText);

        if (!(onComplete === undefined))
            onComplete();
    });
}

function clearUserSettings() {
    userSettings = null;
}

function curUserID() {
    return userSettings[0].UserID;
}